# $Revision: 1.46 $, $Date: 2005/06/14 07:16:21 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBD
%define		pnam	CSV
Summary:	DBD::CSV - DBI driver for CSV files
Summary(pl):	DBD::CSV - sterownik DBI dla plikw CSV
Name:		perl-DBD-CSV
Version:	0.22
Release:	2
Epoch:		1
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	365517fb2e0f565b16613eac01046d85
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-DBI >= 1.42
BuildRequires:	perl-SQL-Statement
BuildRequires:	perl-Text-CSV_XS
%endif
Requires:	perl-DBI >= 1.42
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The DBD::CSV module is yet another driver for the DBI (Database
Independent Interface for Perl). This one is based on the SQL "engine"
SQL::Statement and the abstract DBI driver DBD::File and implements
access to so-called CSV files (Comma separated values). Such files are
mostly used for exporting MS Access and MS Excel data.

%description -l pl
Modu DBD::CSV jest kolejnym sterownikiem dla DBI (Database Independent
Interface).  Opiera si na ,,silniku'' SQL -- SQL::Statement, oraz
abstrakcyjnym sterowniku DBD::File (zaczonym w tej dystrybucji).
Implementuje dostp do tzw. plikw CSV (Comma Separated Values --
,,wartoci oddzielone rednikami'').  Ten format plikw spotykany jest
najczciej przy eksportowaniu danych z programw MS Access i MS Excel.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/DBD/CSV.pm
%{_mandir}/man3/DBD*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBD-CSV.spec,v $
Revision 1.46  2005/06/14 07:16:21  qboosh
- don't assume manuals gzipping

Revision 1.45  2005/06/13 21:20:36  petec
- we don't need Bundle::
- release 2

Revision 1.44  2005/06/13 12:47:35  petec
- up to 0.22
- one new .pm

Revision 1.43  2004/11/03 22:30:15  paladine
- formatting

Revision 1.42  2004/06/05 18:10:37  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.41  2004/04/20 18:05:59  qboosh
- updated to 0.21 for DBI 1.42+, Epoch 1

Revision 1.40  2004/04/20 10:08:06  ankry
- new bconds

Revision 1.39  2004/04/20 05:22:49  ankry
- license fixes and unification

Revision 1.38  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.37  2003/08/18 08:08:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.36  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.35  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.33  2003/03/01 18:04:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.32  2003/02/25 00:38:29  radek
- use the __perl macro

Revision 1.31  2003/02/18 15:30:22  ankry
- massive attack: change CPAN URLs

Revision 1.30  2002/12/02 11:06:23  ankry
- massive cleaning

Revision 1.29  2002/08/12 22:24:54  radek
- provided informative summary/description
- removed forgotten Bundle* man page
- release 3

Revision 1.28  2002/08/11 18:18:53  radek
- conditional tests, removed Bundle*

Revision 1.27  2002/07/16 23:25:26  ankry
- translations, cleaning
- added %%{perl_sitelib}/Bundle/DBD
- release 2

Revision 1.26  2002/07/11 11:43:42  qboosh
- new %%doc, cosmetics

Revision 1.25  2002/07/11 07:58:25  depesz
- new version; should work; STBR

Revision 1.24  2002/07/10 08:46:49  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.23  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.22  2002/02/25 10:30:46  depesz
cleanup; revision++

Revision 1.21  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/13 14:11:16  depesz
automatic: Source location unified, Relase Up

Revision 1.19  2002/02/10 15:25:07  depesz
adapterized

Revision 1.18  2002/01/18 02:14:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/09/18 15:00:15  qboosh
- release 3: removed Bundle::* - we use rpm dependencies

Revision 1.16  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.15  2001/05/06 14:54:38  mis
- autoupdated to 0.1027

Revision 1.14  2001/04/17 12:07:09  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.13  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.12  2001/01/06 07:54:54  kloczek
- updated to 0.1025.

Revision 1.11  2000/12/30 05:43:39  kloczek
- release 2: rebuild against perl 5.6 and use new rpm automation.

Revision 1.10  2000/09/05 07:11:09  kloczek
- updated to 0.1023.

Revision 1.9  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:32  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:48  baggins
- translated kloczkish into english

Revision 1.4  2000/02/17 20:38:17  pius
- updated to 0.1022

Revision 1.3  1999/11/04 19:35:32  pius
- removed unneeded patch

Revision 1.2  1999/11/03 11:09:29  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 18:15:15  pius
- initial release
